Skip to main content
GET
Get an upload

Authorizations

Authorization
string
header
required

OAuth 2.1 authorization-code flow with PKCE.

FlowAuthorization Code
Authorization URL
https://auth.streamloop.app/api/auth/oauth2/authorize
Token URL
https://auth.streamloop.app/api/auth/oauth2/token
Scopes1
streamloop:read
Read streams, destinations, playlists, and billing status

Path Parameters

id
string
required

Resource identifier.

Response

object | null

Successful response.

createdAt
string<date-time>
required
id
string
required
mimeType
string
required
name
string
required
type
enum<string>
required
Available options:
audio,
video,
image
uploaded
boolean
required
fileSize
integer | null